Uploaded image for project: 'RAML Module Builder'
  1. RAML Module Builder
  2. RMB-744

Q2 to Q3 upgrade - "POST request for module_version /_/tenant failed with REVOKE ALL PRIVILEGES ON SCHEMA public FROM module_schema;"

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: P2
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: 31.1.5, 32.0.0
    • Environment:

      Multi-node K8s cluster backed by vSphere
      Dedicated and separate Postgres v10.11 database hosts for Okapi and Folio modules
      Dockerized Okapi v4.2.2

    • Template:
      Standard Bug Write-Up Format
    • Sprint:
      CP: sprint 100
    • Development Team:
      Core: Platform
    • Release:
      Q3 2020 Bug Fix
    • Affected Institution:
      TAMU

      Description

      Upgrading in-place from Q2-2020 hotfix 4 + patches to Q3 yields the the following errors from Okapi for more than several modules:

      "message" : "POST request for module-version /_/tenant failed with 400: [ \" REVOKE ALL PRIVILEGES ON SCHEMA public FROM module_schema;\" ]"
      

      This affects the following modules:
      mod-orders-storage-11.1.0
      mod-inventory-storage-19.4.1
      mod-login-7.1.0
      mod-circulation-storage-12.1.0
      mod-organizations-storage-3.2.0
      mod-finance-storage-6.0.0
      mod-calendar-1.10.0
      mod-template-engine-1.10.0
      mod-feesfines-15.9.1
      mod-patron-blocks-1.1.0
      mod-notes-2.10.0
      mod-notify-2.7.0
      mod-courses-1.1.0
      mod-data-import-converter-storage-1.9.0
      mod-source-record-manager-2.4.0
      mod-data-import-1.11.0
      mod-tags-0.7.0
      mod-erm-usage-3.0.0
      mod-erm-usage-harvester-2.0.0
      mod-invoice-storage-4.1.0
      mod-password-validator-1.8.0

      The database logs also have the following error:

      ERROR:  tuple concurrently updated

      Module log reflecting the database error:

      WARNING: An illegal reflective access operation has occurred
      WARNING: Illegal reflective access by org.postgresql.jdbc.TimestampUtils (file:/usr/verticles/mod-orders-storage-fat.jar) to field java.util.TimeZone.defaultTimeZone
      WARNING: Please consider reporting this to the maintainers of org.postgresql.jdbc.TimestampUtils
      WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
      WARNING: All illegal access operations will be denied in a future release
      %d [%thread] %-5level %logger - %msg%n org.postgresql.util.PSQLException: ERROR: tuple concurrently updated
      at org.postgresql.core.v3.QueryExecutorImpl.receiveErrorResponse(QueryExecutorImpl.java:2310) ~[mod-orders-storage-fat.jar:?]
      at org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.java:2023) ~[mod-orders-storage-fat.jar:?]
      at org.postgresql.core.v3.QueryExecutorImpl.execute(QueryExecutorImpl.java:217) ~[mod-orders-storage-fat.jar:?]
      at org.postgresql.jdbc.PgStatement.execute(PgStatement.java:421) ~[mod-orders-storage-fat.jar:?]
      at org.postgresql.jdbc.PgStatement.executeWithFlags(PgStatement.java:318) ~[mod-orders-storage-fat.jar:?]
      at org.postgresql.jdbc.PgStatement.executeUpdate(PgStatement.java:294) ~[mod-orders-storage-fat.jar:?]
      at org.folio.rest.persist.PostgresClient.lambda$86(PostgresClient.java:3629) ~[mod-orders-storage-fat.jar:?]
      at io.vertx.core.impl.ContextImpl.lambda$executeBlocking$2(ContextImpl.java:313) ~[mod-orders-storage-fat.jar:?]
      at io.vertx.core.impl.TaskQueue.run(TaskQueue.java:76) ~[mod-orders-storage-fat.jar:?]
      at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1128) [?:?]
      at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628) [?:?]
      at io.netty.util.concurrent.FastThreadLocalRunnable.run(FastThreadLocalRunnable.java:30) [mod-orders-storage-fat.jar:?]
      at java.lang.Thread.run(Thread.java:834) [?:?]
      

      A full Okapi response error for one of the modules:

      "message" : "POST request for mod-orders-storage-11.1.0 /_/tenant failed with 400: [ \" REVOKE ALL PRIVILEGES ON SCHEMA public FROM tamu_mod_orders_storage;\" ]"
      

        TestRail: Results

          Attachments

          1. out.txt
            556 kB
            Jason Root

            Issue Links

              Activity

                People

                Assignee:
                julianladisch Julian Ladisch
                Reporter:
                jroot Jason Root
                Votes:
                0 Vote for this issue
                Watchers:
                7 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved:

                    TestRail: Runs

                      TestRail: Cases